<?php


define('ST_RAW_MATERIAL_REQ', 60);
define('ST_RAW_MATERIAL_ISSUE', 61);
define('ST_PROD_ADD', 62);
define('ST_PURCH_REQ', 63);
define('ST_POINTSUPDATE', 64);
define('ST_RAW_MATERIAL_RETURN', 65);
define('ST_PROD_RETURN', 66);
define('ST_REQTRANSFER', 67);
define('ST_PAYROLL', 70);
define('ST_SALARY_ADVANCE_PAYMENT', 71);
define('ST_STOCK_COUNT', 73);
define('ST_MATERIAL_ISSUE', 75);
define('ST_MATERIAL_RETURN', 76);
define('ST_INVENTORY_RECEIPT', 77);
define('ST_INVENTORY_ISSUE', 78);
define('ST_PR_ISSUE', 79);

// Don't include these defines in the $systypes_array.
// They are used for documents only.


define ('ST_ATTENDANCE', 93);
define ('ST_LOAN', 94);
define ('ST_JOB_QUEUE', 95);
define ('ST_TRANSFERREQ', 96);
define ('ST_MATERIAL_REQ', 97);
define ('ST_APPROVAL_LOG', 98);
define ('ST_LOT_ADJUSTMENT', 99);
define ('ST_LOT_TO_LOT_TRANS', 100);
define ('ST_EMPLOYEE', 101);
define ('ST_SERIAL_NO_ADJUSTMENT', 102);
define ('ST_MANUF_REQUEST', 103);
define ('ST_MANUF_REQUIREMENT', 104);
define ('ST_MANUF_ORDERING_BREAKUP', 105);
define ('ST_PR_LINE_ALLOCATIONS', 106);
define ('ST_I_OWE_YOU', 107);
define ('ST_PROJECT_INVOICE', 108);
define ('ST_STOCK_RESERVATION', 109);
define ('ST_STOCK_RELEASE', 110);
define ('ST_WO_MATERIAL_PR', 112);
define ('ST_PR_DETAIL_INDENTS', 114);
define ('ST_PURCH_INDENTS', 115);
define ('ST_PR_PO_DETAILS', 116);
define ('ST_I_OWE_YOU_PAYMENT', 117);
define ('ST_I_OWE_YOU_BATCH', 118);
define ('ST_PETTY_CASH_FLOAT_ADJ', 119);
define ('ST_PETTY_CASH_FLOAT_REIMBUR', 120);
define ('ST_ISSUE_TO_ASSETS', 121);
define ('ST_RETURN_FROM_ASSTES', 122);
define ('ST_VEHICLE_REQUEST', 125);
define ('ST_VEHICLE_ALLOCATION', 126);
define ('ST_VEHICLE_RUNNING_CHART', 127);
define ('ST_PROJECT_CREDIT_NOTE', 128);
define ('ST_APPROVAL_GROUP', 129);
define ('ST_PROJECT_PAYMENT_APPLICATION', 130);
define ('ST_PROJECT_COST_ADJUST', 131);
define ('ST_PROJECT_ALLOC_ADJUST', 132);
define ('ST_VEHICLE_RUNNING_CHART_BATCH', 133);
define ('ST_PROJECT_WORK_DONE', 135);
define ('ST_PROJECT_BOQ_ITEM', 136);
define ('ST_PROJECT_BOQ_ITEM_DETAIL_EDIT', 137);
define ('ST_PROJECT_PAY_APP_BOQ_GROUPS', 138);
define ('ST_PROJECT_PAY_APP_BOQ_ITEMS', 139);
define ('ST_PROJECT_BOQ_GROUP_WORK_DONE', 140);
define ('ST_PROJECT_BOQ_ITEM_WORK_DONE', 141);
define ('ST_BONDS', 142);
define ('ST_COMPANY_LOANS', 143);
define ('ST_COMPANY_LOAN_INSTALLMENTS', 144);
define ('ST_LETTERS_OF_CREDIT', 145);
define ('ST_INSURED_ITEMS', 146);
define ('ST_PROJECT_SALES_ORDERS', 147);
define ('ST_I_OWE_YOU_ADVANCES_BATCH', 148);
define ('ST_EST_PROJECT_BOQ_ITEM_DETAIL_EDIT', 153);
define ('ST_PETTY_CASH_DIRECT_PAYMENTS', 154);
define ('ST_SUPPLIER_TRANSPORT_INVOICES', 155);
define ('ST_PRINT_CHEQUES', 156);
define ('ST_CREDIT_FACILITY', 157);
define ('ST_FIXED_DEPOSIT', 158);
define ('ST_SUBCONTRACTOR_INVOICE', 159);
define ('ST_PROJECT_DISPATCH_REQUEST', 160);
define ('ST_STOCK_ASSET_TRANSFER', 161);
define ('ST_TOOL_REQUEST', 162);
define ('ST_TOOL_ISSUE', 163);
define ('ST_UTILITY_BILLS', 164);
define ('ST_TOOL_RETURN', 165);
define ('ST_PROJECT_BOQ_ITEM_GROUP', 166);
define ('ST_PROJECT_BUDGET_GROUP', 167);
define ('ST_PETTY_CASH', 168);

define ('ST_PROJECT_FLOAT_ADJ', 169);
define ('ST_PROJECT_ADVANCE_BATCH', 170);
define ('ST_PETTY_CASH_PAYMENT', 171);
define ('ST_I_OWE_YOU_ADVANCES', 172);
define ('ST_SUBCONTRACTOR_PURCH_ORDER', 173);
define ('ST_SUBCONTRACTOR_CREDIT_NOTE', 175);
define ('ST_DOCUMENT_BUDGET_STATUS', 176);
define ('ST_MISCELLANEOUS_PROJECT_COST', 177);
define ('ST_UTILITY_BILL_CREDIT_NOTE', 178);
define ('ST_FI_BATCH', 179);
define ('ST_TOOL_USAGE_CHARGE', 180);
define ('ST_COMP_LOAN_REPAYMENT', 181);
define ('ST_PROJECT_BOQ_ITEM_GROUPS_SUMMARY', 182);
define ('ST_APPROVE_PROJECT', 183);
define ('ST_EST_PROJECT_BOQ_ITEM_GROUP', 184);
define ('ST_EST_PROJECT_BOQ_ITEM', 185);
define ('ST_APPROVE_EST_PROJECT', 186);
define ('ST_EST_PROJECT_BOQ_ITEM_GROUPS_SUMMARY', 187);
define ('ST_MONTHLY_PROJECT_COSTS', 188);
define ('ST_MONTHLY_PROJECT_COSTS_DETAIL', 189);
define ('ST_MONTHLY_PROJECT_COSTS_DETAIL_EDIT', 190);
define ('ST_PR_ALLOCATION_DETAILS_EDIT', 191);
define ('ST_IMPORT_PURCHORDER', 192); 
define ('ST_INVENTORY_RECEIPT_REQUEST', 193); 
define ('ST_INVENTORY_ISSUE_REQUEST', 194); 
define ('ST_ASSET_TRANSFER_REQUEST', 195); 
define ('ST_ASSET_TRANSFER', 196); 
define ('ST_ASSET_QUANTITY_ADJUSTMENT_REQUEST', 197); 
define ('ST_ASSET_QUANTITY_ADJUSTMENT', 198); 
define ('ST_IMPORT_PO_COST_DETAIL_EDIT', 199); 
define ('ST_CUSTOMER_PAYMENT_RETURN', 200); 
define ('ST_IMPORT_PO_COST_DETAILS', 201); 
define ('ST_SITE_MATERIAL_RETURN', 202); 
define ('ST_TOOL_ISSUE_DETAIL_USAGE_CHARGES', 203);
define ('ST_GL_BATCH', 204);
define ('ST_PROJECT_ADVANCE', 205);
define ('ST_ASSET_DEPRECIATION_RUN', 206);
  
define ('ST_CASH_PAYMENT', 220);
define ('ST_CASH_RECEIPT', 221);
define ('ST_GL_DEBIT', 222);
define ('ST_GL_CREDIT', 223);
define ('ST_ITEM_COSTUPDATE', 224);
define ('ST_PR_RETURN', 225);

define ('ST_MONTH_CASH_IN_AJUSTMENT', 226);
define ('ST_MONTH_CASH_OUT_AJUSTMENT', 227);

define ('ST_PETTY_CASH_ITEM_RECEIPT', 228);
define ('ST_UTILITY_BILL_ITEM_RECEIPT', 229); 
define ('ST_IOU_BANKPAYMENT', 230); 
define ('ST_PETTY_CASH_ITEM_ISSUE', 231);
define ('ST_IOU_BANKPAYMENT_RETURN', 232);
define ('ST_MATERIAL_TRANSFER_RECEIPT', 233);
define ('ST_GATE_PASS', 234);
define ('ST_DAILY_ITEM_ISSUE', 235);
define ('ST_DAILY_ITEM_RETURN', 236);
define ('ST_DAILY_TOOL_ISSUE', 237);
define ('ST_DAILY_TOOL_RETURN', 238);
define ('ST_JOB_COST_ADDITION', 239);
define ('ST_JOB_COST_DEDUCTION', 240);
define ('ST_ASSET_VERIFICATION', 241);
define ('ST_PAYMENT_VOUCHER', 242);
define ('ST_PAYMENT_RECEIPT', 243);
define ('ST_BATCH_BANK_TRANSFER_REQ', 244);

define ('ST_COMP_PL_EXPENSES_ADJUSTMENTS', 245);
define ('ST_COMP_PL_INCOME_ADJUSTMENTS', 246);
define ('ST_BATCH_ITEM_ISSUE', 247);

define ('ST_ASSET_REQUISITION_TRANSFER', 248); 
define ('ST_ASSET_TRANSFER_RECEIPT', 249); 
define ('ST_POS_INVOICE', 250); 
define ('ST_UTILITY_BILL_STOCK_RECEIPT', 251);
define ('ST_FLOAT_RECEIPT', 252);
define ('ST_FLOAT_PAYMENT', 253);
define ('ST_EMPLOYEE_ATTENDANCE', 254);
define ('ST_POS_CREDIT_NOTE', 255); 
define ('ST_POS_ITEM_ISSUE', 256); 
define ('ST_POS_ITEM_RETURN', 257); 
define ('ST_POS_CUSTOMER_PAYMENT', 258); 
define ('ST_SALARY_ADVANCE', 259); 
define ('ST_FLOAT_TRANSFER', 260); 
define ('ST_POS_CUSTOMER_RETURN', 261); 
define ('ST_FLOAT_TO_BANK_TRANSFER', 262); 



define ('ST_GL_BATCH_MATERIAL_ISSUE', ST_MATERIAL_ISSUE + 1000); //Project
define ('ST_GL_BATCH_MATERIAL_RETURN', ST_MATERIAL_RETURN + 1000); //Project
define ('ST_GL_BATCH_SITE_MATERIAL_RETURN', ST_SITE_MATERIAL_RETURN + 1000); //Project
define ('ST_GL_BATCH_INVENTORY_RECEIPT', ST_INVENTORY_RECEIPT + 1000); //Project
define ('ST_GL_BATCH_INVENTORY_ISSUE', ST_INVENTORY_ISSUE + 1000); //Project
define ('ST_GL_BATCH_INVADJUST', ST_INVADJUST + 1000); //Project
define ('ST_GL_BATCH_STOCK_COUNT', ST_STOCK_COUNT + 1000); //Project
define ('ST_GL_BATCH_ITEM_COSTUPDATE', ST_ITEM_COSTUPDATE + 1000); 
define ('ST_GL_BATCH_UTILITY_BILLS', ST_UTILITY_BILLS + 1000); //Project
define ('ST_GL_BATCH_UTILITY_BILL_CREDIT_NOTE', ST_UTILITY_BILL_CREDIT_NOTE + 1000); //Project
define ('ST_GL_BATCH_PROJECT_INVOICE', ST_PROJECT_INVOICE + 1000); //Project
define ('ST_GL_BATCH_PROJECT_CREDIT_NOTE', ST_PROJECT_CREDIT_NOTE + 1000); //Project
define ('ST_GL_BATCH_SUBCONTRACTOR_INVOICE', ST_SUBCONTRACTOR_INVOICE + 1000); //Project
define ('ST_GL_BATCH_SUBCONTRACTOR_CREDIT_NOTE', ST_SUBCONTRACTOR_CREDIT_NOTE + 1000); //Project
define ('ST_GL_BATCH_SALESINVOICE', ST_SALESINVOICE + 1000); //Project
define ('ST_GL_BATCH_CUSTDELIVERY', ST_CUSTDELIVERY + 1000); //Project
define ('ST_GL_BATCH_CUSTOMER_PAYMENT_RETURN', ST_CUSTOMER_PAYMENT_RETURN + 1000); 
define ('ST_GL_BATCH_CUSTCREDIT', ST_CUSTCREDIT + 1000); 
define ('ST_GL_BATCH_CUSTPAYMENT', ST_CUSTPAYMENT + 1000); 
define ('ST_GL_BATCH_SUPPRECEIVE', ST_SUPPRECEIVE + 1000); 
define ('ST_GL_BATCH_SUPPINVOICE', ST_SUPPINVOICE + 1000); 
define ('ST_GL_BATCH_SUPPCREDIT', ST_SUPPCREDIT + 1000); 
define ('ST_GL_BATCH_SUPPAYMENT', ST_SUPPAYMENT + 1000);
define ('ST_GL_BATCH_PR_ISSUE', ST_PR_ISSUE + 1000); //Project
define ('ST_GL_BATCH_PR_RETURN', ST_PR_RETURN + 1000); //Project
define ('ST_GL_BATCH_PETTY_CASH_FLOAT_ADJ', ST_PETTY_CASH_FLOAT_ADJ + 1000); //Project
define ('ST_GL_BATCH_PETTY_CASH_FLOAT_REIMBUR', ST_PETTY_CASH_FLOAT_REIMBUR + 1000);
define ('ST_GL_BATCH_I_OWE_YOU_BATCH', ST_I_OWE_YOU_BATCH + 1000); //Project
define ('ST_GL_BATCH_PETTY_CASH_DIRECT_PAYMENTS', ST_PETTY_CASH_DIRECT_PAYMENTS + 1000);
define ('ST_GL_BATCH_I_OWE_YOU_PAYMENT', ST_I_OWE_YOU_PAYMENT + 1000);
define ('ST_GL_BATCH_PETTY_CASH_PAYMENT', ST_PETTY_CASH_PAYMENT + 1000);
define ('ST_GL_BATCH_I_OWE_YOU_ADVANCES', ST_I_OWE_YOU_ADVANCES + 1000);
define ('ST_GL_BATCH_SUPPLIER_TRANSPORT_INVOICES', ST_SUPPLIER_TRANSPORT_INVOICES + 1000); //Project
define ('ST_GL_BATCH_COMP_LOAN_REPAYMENT', ST_COMP_LOAN_REPAYMENT + 1000);
define ('ST_GL_BATCH_STOCK_ASSET_TRANSFER', ST_STOCK_ASSET_TRANSFER + 1000);
define ('ST_GL_BATCH_DAILY_ITEM_ISSUE', ST_DAILY_ITEM_ISSUE + 1000); //Project
define ('ST_GL_BATCH_DAILY_ITEM_RETURN', ST_DAILY_ITEM_RETURN + 1000); //Project
define ('ST_GL_BATCH_PETTY_CASH_ITEM_RECEIPT', ST_PETTY_CASH_ITEM_RECEIPT + 1000); //Project
define ('ST_GL_BATCH_MISCELLANEOUS_PROJECT_COST', ST_MISCELLANEOUS_PROJECT_COST + 1000); //Project
         



define('INFINITE_END_DATE', '3000-01-01');
define('INFINITE_START_DATE', '1970-01-01');

//----------------------------------------------------------------------------------
// Stock Control Methods
//

define('SKCM_NORMAL', 0);
define('SKCM_LOTS', 1);
define('SKCM_SERIAL_NOS', 2);

//----------------------------------------------------------------------------------
//	Asset types
//

define('AT_FIXED_ASSET', 'F');
define('AT_TOOL', 'T');
define('AT_VEHICLE', 'V');
//-------------------------------------------------------------------------------------


// Standard report classess
define('RC_CUSTOMER', 1);
define('RC_SUPPLIER', 2);
define('RC_INVENTORY', 3);
define('RC_MANUFACTURE', 4);
define('RC_DIMENSIONS', 5);
define('RC_BANKING', 6);
define('RC_GL', 7);
define('RC_LOYALTY', 8);
define('RC_PAYROLL', 9);
define('RC_PROJECTS', 10);
define('RC_TRANSPORT', 11);
define('RC_PETTY_CASH', 12);
define('RC_FINANCE', 13);
define('RC_ASSETS', 14);
define('RC_ADMIN', 99);



define('PT_EMPLOYEE', 6);
define('PT_FLOAT', 7);
define('PT_IOU', 8);



//----------------------------------------------------------------------------------
// Jobq request statuses
//
define('JQ_NEW', '10');
define('JQ_PROCESSING', '20');
define('JQ_COMPLETED', '30');
define('JQ_ERROR', '40');
define('JQ_END_REQESTED', '50');
define('JQ_ENDED', '60');



//----------------------------------------------------------------------------------
// Document approval statuses
//
define('AS_NEW', '0');
define('AS_WITH_THE_APPROVER', '10');
define('AS_AWAITING_APPROVAL', '20');
define('AS_APPROVED', '30');
define('AS_REJECTED', '40');
define('AS_ISSUED', '60');
define('AS_RECEIVED', '70');
define('AS_TRANSFERRED', '80');
define('AS_ORDERED', '90');
define('AS_COMPLETED', '100');
define('AS_REOPENED', '110');
define('AS_BACK_TO_ORIGINATOR', '120');
define('AS_CLOSED', '130');
define('AS_PROCESSED', '140');
define('AS_ADMIN_CLOSED', '150');
define('AS_POSTED', '160');
define('AS_PAID', '210');
define('AS_DELIVERED', '220');



//----------------------------------------------------------------------------------
//	stock count types
//
define('SC_NEW', 5);
define('SC_COUNTING', 10);
define('SC_COUNTED', 15);
define('SC_COMPLETING', 20);
define('SC_COMPLETED', 25);
define('SC_PROCESSING', 30);
define('SC_PROCESSED', 35);
define('SC_IGNORED', 90);


//----------------------------------------------------------------------------------
// $workorder Process Work Types
//

define('WOPWT_SETUP', 1);
define('WOPWT_PROCESSING', 2);
define('WOPWT_CLEANING', 3);



// $project_billing_types
//
define('PBT_NO_BILLING_TYPE', 0);
define('PBT_LUMP_SUM', 1);
define('PBT_MEASURE_PAY', 2);




//$project_invoice_line_types

define('PILT_DETAIL', 0);
define('PILT_MAIN_HEADER', 1);
define('PILT_MAIN_ITEM', 2);
define('PILT_MAIN_SUMMARY', 3);
define('PILT_SUB_HEADER', 4);
define('PILT_SUB_ITEM', 5);
define('PILT_SUB_SUMMARY', 6);
define('PILT_FINAL_TOTAL', 7);


//-------------------------------------------------------------------------------------


// $project_boq_item_component_primary_types
define('BOQPT_COST', 1);
define('BOQPT_MATERIAL', 2);
define('BOQPT_LABOUR', 3);
define('BOQPT_ASSET', 4);
define('BOQPT_TRANSPORT', 5);


//-------------------------------------------------------------------------------------


// $insuree_types
define('INSU_REFERENCE', 0);
define('INSU_VEHICLE', 1);
define('INSU_ASSET', 2);
define('INSU_EMPLOYEE', 3);
define('INSU_ITEM', 4);
define('INSU_CUSTOMER', 5);



//-------------------------------------------------------------------------------------


// Standard report classess
//define('RC_CUSTOMER', 1);
//define('RC_SUPPLIER', 2);
//define('RC_INVENTORY', 3);
//define('RC_MANUFACTURE', 4);
//define('RC_DIMENSIONS', 5);
//define('RC_BANKING', 6);
//define('RC_GL', 7);
//define('RC_LOYALTY', 8);
//define('RC_PAYROLL', 9);
//define('RC_PROJECTS', 10);
//define('RC_TRANSPORT', 11);
//define('RC_PETTY_CASH', 12);
//define('RC_FINANCE', 13);
//define('RC_ASSETS', 14);
//define('RC_ADMIN', 99);

//---------------------------------------------------------------------------------

//$supplier_invoice_source_types
define('SIST_GRN', 0);
define('SIST_MISCELLANEOUS', 1);
define('SIST_TRANSPORT_INVOICE', 2);



//---------------------------------------------------------------------------------

//$direct_petty_cash_payment_expense_sources
//define('DPCPES_TRANSPORT_INVOICE', ST_SUPPLIER_TRANSPORT_INVOICES);

//---------------------------------------------------------------------------------

define('SIDM_NONE', 0);
define('SIDM_DISPLAY_ON_INVOICE_CREDIT_NOTE', 1);
define('SIDM_DISPLAY_ON_VIEW_INVOICE', 2);
define('SIDM_DISPLAY_ON_VIEW_CREDIT_NOTE', 3);

//---------------------------------------------------------------------------------

define('OCT_SALES', 1);
define('OCT_PURCHASE', 2);


//---------------------------------------------------------------------------------

define('PSOIT_TEXT', 0);
define('PSOIT_BOQ_ITEM', 1);
define('PSOIT_STOCK_ITEM', 2);

//---------------------------------------------------------------------------------


define('SCIIT_TEXT', 0);
define('SCIIT_BOQ_ITEM', 1);
define('SCIIT_PO_LINE', 2);

//---------------------------------------------------------------------------------


define('DV_PROJECT_TRANSACTION_TYPE_TRANSACTIONS', 1);
define('DV_PROJECT_WIP_COSTS', 2);
define('DV_SUPPLIER_ALLOCATIONS_TO', 3);
define('DV_SUPPLIER_ALLOCATIONS_FROM', 4);
define('DV_CUSTOMER_ALLOCATIONS_TO', 5);
define('DV_CUSTOMER_ALLOCATIONS_FROM', 6);
define('DV_TOOL_ISSUE_DETAIL_COSTS', 7);
define('DV_TOOL_USAGE_CHARGES_LOG', 8);
define('DV_COMPANY_CASH_FLOW_TRANSACTIONS', 9);
define('DV_GL_ACCOUNT_TRANSACTIONS', 10);
define('DV_STOCL_STATUS_DETAILS', 11);
define('DV_ITEM_TRANSACTION_SUMMARY', 12);
define('DV_COMPANY_PL_TRANSACTIONS', 13);



//----------------------------------------------------------------------------------

// Dashboard views

define('DASH_SC_PURCHASE_PURCHASE_ORDERS', 1);
define('DASH_SC_PURCHASE_PURCHASE_REQUISITIONS', 2);
define('DASH_SC_PURCHASE_TOP_SUPPLIERS', 3);
define('DASH_SC_PURCHASE_TOP_ITEMS', 4);
define('DASH_SC_PURCHASE_SUPPLIER_DELIVERY_LEAD_TIME', 5);
define('DASH_SC_PURCHASE_PRICE_VARIANCE', 7);
define('DASH_SC_PURCHASE_NEW_SUPPLIERS', 8);

define('DASH_SC_PETTY_CASH_EXPENSES', 9);
define('DASH_SC_PETTY_CASH_EMPLOYEE_OUTSTANDING', 10);
define('DASH_SC_PETTY_CASH_DATA_ENTRY', 11);

define('DASH_SC_DEPARTMENT_PETTY_CASH_EXPENSES', 12);

define('DASH_SC_INVENTORY_MOVEMENT_TYPES', 13);

define('DASH_SC_TRANSPORT_ITEM_CONSUMPTION', 14);
define('DASH_SC_TRANSPORT_PETTY_CASH_EXPENSES', 15);

define('DASH_SC_PROJECT_ITEM_CONSUMPTION', 16);
define('DASH_SC_PROJECT_CASH_FLOW', 17);
define('DASH_SC_UTILITY_EXPENSES', 18);

define('DASH_SC_PETTY_CASH_I_OWE_YOUS', 19);
define('DASH_SC_INVENTORY_MATERIAL_REQUISITIONS', 20);

define('DASH_SC_TRANSPORT_UTILITY_EXPENSES', 21);
define('DASH_SC_INVENTORY_ITEM_CONSUMPTION', 22);
define('DASH_SC_PROJECT_EXPENSES', 23);
define('DASH_SC_PURCHASING_APPROVALS', 24);
define('DASH_SC_PETTY_CASH_APPROVALS', 25);
define('DASH_SC_PROJECT_APPROVALS', 26);
define('DASH_SC_INVENTORY_APPROVALS', 28);
define('DASH_SC_TRANSPORT_APPROVALS', 29);
define('DASH_SC_UTILITY_APPROVALS', 30);
define('DASH_SC_PURCHASE_DATA_ENTRY', 31);

define('DASH_SC_SALES_TOP_ITEMS', 32);
define('DASH_SC_SALES_ITEMS_DELIVRY_OUTSTANDING', 33);
define('DASH_SC_SALES_ORDERS', 34);
define('DASH_SC_SALES_INVOICES', 35);
define('DASH_SC_SALES_QUOTATIONS', 36);
define('DASH_SC_SALES_REP_ORDERS', 37);

define('DASH_SC_HR_LEAVES', 38);
define('DASH_SC_SALES_PNL', 39);



define('DASH_VW_PURCHASE_PURCHASE_ORDERS_CREATED', 1);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_UNAPPROVED', 2);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_NOT_GRNED', 3);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_PARTIALLY_GRNED', 4);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_FULLY_GRNED', 5);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_NOT_INVOICED', 6);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_PARTIALLY_INVOICED', 7);
define('DASH_VW_PURCHASE_PURCHASE_ORDERS_FULLY_INVOICED', 8);

define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_CREATED', 9);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_UNAPPROVED', 10);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_NOT_ORDERED', 11);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_PARTIALLY_ORDERED', 12);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_FULLY_ORDERED', 13);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_NOT_ISSUED', 14);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_PARTIALLY_ISSUED', 15);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_FULLY_ISSUED', 16);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_PARTIALLY_ISSUED_AND_CLOSED', 17);
define('DASH_VW_PURCHASE_PURCHASE_REQUISITIONS_CLOSED_WITHOUT_ISSUING', 18); 

define('DASH_VW_PROJECT_CF_PROJECT_INVOICE_RECEIPTS', 19);
define('DASH_VW_PROJECT_CF_SUBCONTRACTOR_CREDIT_NOTE_RECEIPTS', 20);
define('DASH_VW_PROJECT_CF_UTILITY_BILL_CREDIT_NOTE_RECEIPTS', 21);
define('DASH_VW_PROJECT_CF_PROJECT_CREDIT_NOTE_PAYMENTS', 22);
define('DASH_VW_PROJECT_CF_SUBCONTRACTOR_INVOICE_PAYMENTS', 23);
define('DASH_VW_PROJECT_CF_UTILITY_BILL_PAYMENTS', 24);


define('DASH_VW_PETTY_CASH_I_OWE_YOUS_CREATED', 25);
define('DASH_VW_PETTY_CASH_I_OWE_YOUS_APPROVED', 26);
define('DASH_VW_PETTY_CASH_I_OWE_YOUS_UNAPPROVED', 27);
define('DASH_VW_PETTY_CASH_I_OWE_YOUS_EXPENSES_ENTERED', 28);
define('DASH_VW_PETTY_CASH_I_OWE_YOUS_COMPLETED', 29);
define('DASH_VW_PETTY_CASH_EXPENSES_CREATED', 30);
define('DASH_VW_PETTY_CASH_EXPENSES_UNAPPROVED', 31);
define('DASH_VW_PETTY_CASH_EXPENSE_BATCHES_APPROVED', 32);
define('DASH_VW_PETTY_CASH_EXPENSE_BATCHES_COMPLETED', 33);
define('DASH_VW_PETTY_CASH_EXPENSES_APPROVED', 34);
define('DASH_VW_PETTY_CASH_EXPENSES_COMPLETED', 35);
define('DASH_VW_PETTY_CASH_EXPENSE_BATCHES_CREATED', 36);
define('DASH_VW_PETTY_CASH_EXPENSE_BATCHES_DOCUMENTS_CHECKED', 37);
define('DASH_VW_PETTY_CASH_EXPENSE_BATCHES_UNAPPROVED', 38);

define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_CREATED', 39);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_UNAPPROVED', 40);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_NOT_ISSUED', 41);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_PARTIALLY_ISSUED', 42);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_FULLY_ISSUED', 43);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_PARTIALLY_ISSUED_AND_CLOSED', 44);
define('DASH_VW_INVENTORY_MATERIAL_REQUISITIONS_CLOSED_WITHOUT_ISSUING', 45);


define('DASH_VW_SALES_TOP_ITEMS_VALUE', 46);
define('DASH_VW_SALES_TOP_ITEMS_QTY', 47);
define('DASH_VW_SALES_TOP_ITEMS_PROFIT', 48);
define('DASH_VW_SALES_ITEMS_DELIVRY_OUTSTANDING', 49);
define('DASH_VW_SALES_SALES_ORDERS', 50);
define('DASH_VW_SALES_SALES_INVOICES', 51);
define('DASH_VW_SALES_CUSTOMER_PROFITABILITY', 52);
define('DASH_VW_SALES_COLLECTION_OUTSTANDING', 53);
define('DASH_VW_SALES_QUOTATIONS_CREATED', 54);
define('DASH_VW_SALES_QUOTATIONS_CONVERTED', 55);
define('DASH_VW_SALES_REP_SALES_ORDERS', 56);
define('DASH_VW_SALES_REP_QUOTATIONS_CREATED', 57);
define('DASH_VW_SALES_REP_QUOTATIONS_CONVERTED', 58);

define('DASH_VW_HR_LEAVES', 59);
define('DASH_VW_HR_NO_PAY', 60);
define('DASH_VW_HR_RECRUITMENTS', 61);
define('DASH_VW_HR_RESIGNATIONS', 62);
define('DASH_VW_HR_EMPLYEE_COUNT_CATEGORY', 63);
define('DASH_VW_HR_EMPLYEE_COUNT_DEPARTMENT', 64);
define('DASH_VW_HR_SALARY_COMPONENT', 65);
define('DASH_VW_HR_EMPLOYEE_ATTENDANCE', 66);

define('DASH_VW_PROJECT_NONEDITABLE_ITEM_ISSUES', 67);
define('DASH_VW_PROJECT_EDITABLE_ITEM_ISSUES', 68);
define('DASH_VW_PROJECT_ALL_UTILITY_EXPENSES', 69);
define('DASH_VW_PROJECT_ALL_PETTY_CASH_EXPENSES', 70);
//----------------------------------------------------------------------------------

//MPC_BASE_TOTALS
define('MPCBT_MANUAL_COST', 0);
define('MPCBT_DEPARTMENT_SALARY_COST', 1);
define('MPCBT_EMPLOYEE_COST', 2);
//define('MPCBT_PROJECT_RECEIPTS', 2);
//define('MPCBT_PROJECT_COLLECTION', 3);

//----------------------------------------------------------------------------------

//MPC CALCULATION TYPES
define('MPCDT_MANUAL', 0);
define('MPCDT_PROJECT_EXPENSES', 1);
define('MPCDT_PROJECT_RECEIPTS', 2);
define('MPCDT_PROJECT_COLLECTION', 3);
define('MPCDT_PROJECT_TOTAL_COST', 4);
define('MPCDT_EQUALLY', 5);
define('MPCDT_SAME_VALUE', 6);
define('MPCDT_EMPLOYEE_COST', 7);


//----------------------------------------------------------------------------------


define('SCCNIT_TEXT', 0);
define('SCCNIT_BOQ_ITEM', 1);
define('SCCNIT_INV_LINE', 2);

//----------------------------------------------------------------------------------
// Graph Types
//

define('GT_VERTICAL_BARS', 1);
define('GT_HORIZONTAL_BARS', 2);
define('GT_DOTS', 3);
define('GT_LINES', 4);
define('GT_PIE', 5);
define('GT_DONUT', 6);
define('GT_COMPOSITE_VERTICAL_BARS', 7);
define('GT_OPEN_DONUT', 8);


//----------------------------------------------------------------------------------


define('SCVT_MATERIAL_ISSUES', 1);
define('SCVT_MATERIAL_RETURNS', 2);
define('SCVT_PR_ISSUES', 3);
define('SCVT_SITE_MATERIAL_RETURNS', 4);
define('SCVT_SUBCONTRACTOR_INVOICES', 5);
define('SCVT_SUBCONTRACTOR_CREDIT_NOTES', 6);
define('SCVT_VEHICLE_RUNNING_CHART', 7);
define('SCVT_I_OWE_YOU_PAYMENTS', 8);
define('SCVT_I_OWE_YOU_ADVANCES', 9);
define('SCVT_UTILITY_BILLS', 10);
define('SCVT_UTILITY_BILL_CREDIT_NOTES', 11);
define('SCVT_MISCELLANEOUS_PROJECT_COSTS', 12);
define('SCVT_TOOL_USAGE_CHARGES', 13);
define('SCVT_PROJECT_INVOICES_CERTIFIED', 14);
define('SCVT_PROJECT_CREDIT_NOTES_CERTIFIED', 15);
define('SCVT_PROJECT_INVOICES_PENDING', 16);
define('SCVT_PROJECT_CREDIT_NOTES_PENDING', 17);
define('SCVT_MONTHLY_PROJECT_COSTS', 18);
define('SCVT_SUPPLIER_INVOICES', 19);
define('SCVT_SUPPLIER_CREDIT_NOTES', 20);
define('SCVT_PR_RETURNS', 85);
define('SCVT_PROJECT_COST_ADJUSTMENTS', 86);


define('SCVT_SUBCONTRACTOR_INVOICE_PAYMENTS', 30);
define('SCVT_SUBCONTRACTOR_CREDIT_NOTE_RETURNS', 31);
define('SCVT_UTILITY_BILL_PAYMENTS', 32);
define('SCVT_UTILITY_BILL_CREDIT_NOTE_RETURNS', 33);
define('SCVT_TRANSPORT_PAYMENTS', 34);
define('SCVT_SUPPLIER_INVOICE_PAYMENTS', 35);
define('SCVT_SUPPLIER_CREDIT_NOTE_RETURNS', 36);
define('SCVT_PROJECT_INVOICE_RECEIPTS', 37);
define('SCVT_PROJECT_CREDIT_NOTE_PAYMENTS', 38);


define('SCVT_DEPARTMENT_EMPLOYEE_COUNT', 50);
define('SCVT_DEPARTMENT_RECRUITMENT_COUNT', 51);
define('SCVT_DEPARTMENT_RESIGNATIONS_COUNT', 52);
define('SCVT_SALARY_PAID_EMPLOYEE_COUNT', 53);
define('SCVT_TOTAL_SALARY_COST', 54);


define('SCVT_SALES_INVOICES', 60);
define('SCVT_SALES_CREDIT_NOTES', 61);
define('SCVT_SALES_DESPATCHES', 62);
define('SCVT_SALES_DESPATCH_RETURNS', 63);


define('SCVT_SALES_INVOICE_RECEIPTS', 70);
define('SCVT_SALES_CREDIT_NOTE_PAYMENTS', 71);


define('SCVT_COMP_CUSTOMER_PAYMENT_RECEIPTS', 80);
define('SCVT_COMP_BANK_DEPOSITS', 81);
define('SCVT_COMP_SUPPLIER_PAYMENTS', 83);
define('SCVT_COMP_BANK_PAYMENTS', 84);

//----------------------------------------------------------------------------------
//	Project types
//
define('PROJ_TYPE_CONSUMPTION', 1);
define('PROJ_TYPE_STOCK', 2);
define('PROJ_TYPE_DEPT_EXPENSES', 3);
define('PROJ_TYPE_SALES_COST', 4);

//----------------------------------------------------------------------------------
//	Petty Cash Expense Categories
//
define('EC_PETTY_CASH_EXPENSE', 1);
define('EC_STOCK_ITEM_RECEIPT', 2);
define('EC_VEHICLE_MAINTENANCE', 3);
define('EC_ASSET_MAINTENANCE', 4);
define('EC_UTILITY_ITEM', 5);

//----------------------------------------------------------------------------------
//	Non stock item types
//
define('NSIT_COMMENT', 1);
define('NSIT_NON_STOCK_ITEM', 2);
define('NSIT_STOCK_ITEM', 3);


//----------------------------------------------------------------------------------
// Inventory Movement Type Linked Fields
//

define('IMLF_NOT_LINKED', 0);
define('IMLF_CUSTOMER', 1);
define('IMLF_SUPPLIER', 2);
define('IMLF_EMPLOYEE', 3);
define('IMLF_VEHICLE', 4);
define('IMLF_ASSET', 5);


define('PAYROLL_LISTS', "'COMPANY_ADDITION_SALARY_COMP', 
                                    'COMPANY_DEDUCTION_SALARY_COMP', 
                                    'GROUP_ADDITION_SALARY_COMP', 
                                    'GROUP_DEDUCTION_SALARY_COMP',
                                    'EMPLOYEE_ADDITION_SALARY_COMP',
                                    'EMPLOYEE_DEDUCTION_SALARY_COMP',
                                    'EMPLOYEE_ALLOWANCES_OVER_USAGE',
                                    'ATTENDANCE_ALLOWANCES',
                                    'WORKTIME_DEFICITS',
                                    'PERFORMANCE_RATE_INCENTIVES',
                                    'PERFORMANCE_VALUE_INCENTIVES',
                                    'MOBILE_ALLOWANCES_OVER_USAGE',
                                    'SALARY_ADDITIONS',
                                    'SALARY_ADVANCES',
                                    'SALARY_DEDUCTIONS',
                                    'SALARY_GROUP_TOTALS',
                                    'SALARY_TOTALS',
                                    'COMMON_PAYROLL_PROCESSES',
                                    'SALARY_ROUNDING_OFF'");


//----------------------------------------------------------------------------------
// Salart component categories
//

define('SCC_ALL_COMPANY_ADDITIONS', 'CA');
define('SCC_ALL_COMPANY_DEDUCTIONS', 'CD');
define('SCC_ALL_GROUP_ADDITIONS', 'GA');
define('SCC_ALL_GROUP_DEDUCTIONS', 'GD');
define('SCC_ALL_EMPLOYEE_ADDITIONS', 'EA');
define('SCC_ALL_EMPLOYEE_DEDUCTIONS', 'ED');


//----------------------------------------------------------------------------------
// Salart component types
//

define('SCT_COMPANY_ADDITIONS', 1);
define('SCT_COMPANY_DEDUCTIONS', 2);
define('SCT_GROUP_ADDITIONS', 3);
define('SCT_GROUP_DEDUCTIONS', 4);
define('SCT_EMPLOYEE_ADDITIONS', 5);
define('SCT_EMPLOYEE_DEDUCTIONS', 6);
define('SCT_EMPLOYEE_ALLOWANCES_OVER_USAGE', 7);
define('SCT_ATTENDANCE_ALLOWANCES', 8);
define('SCT_WORKTIME_DEFICITS', 9);
define('SCT_PERFORMANCE_RATE_INCENTIVES', 10);
define('SCT_MOBILE_OVER_USAGE', 11);
define('SCT_PERFORMANCE_VALUE_INCENTIVES', 12);

//----------------------------------------------------------------------------------
// attendance statuses
//

define('ATD_NEW', 'N');
define('ATD_UPDATED', 'U');
define('ATD_AWAITING_APPROVAL', 'W');
define('ATD_APPROVED', 'A');
define('ATD_REJECTED', 'R');

//----------------------------------------------------------------------------------
// Payroll Approval Statuses 
//

define('PAS_N', 'N');
define('PAS_U', 'U');
define('PAS_W', 'W');
define('PAS_A', 'A');
define('PAS_J', 'J');
define('PAS_C', 'C');
define('PAS_L', 'L');
define('PAS_S', 'S');
define('PAS_P', 'P');
define('PAS_R', 'R');
define('PAS_T', 'T');
define('PAS_Y', 'Y');
define('PAS_D', 'D');
define('PAS_G', 'G');



include_once($path_to_root . '/includes/sysnames.inc');

//---------------------------------------------------------------------------------
// Constants optionally redefined locally
//
defined('ICON_EDIT') || define('ICON_EDIT', 'edit.gif');
defined('ICON_DELETE') || define('ICON_DELETE', 'delete.gif');
defined('ICON_ADD')	|| define('ICON_ADD', 'ok.gif');
defined('ICON_UPDATE') || define('ICON_UPDATE', 'ok.gif');
defined('ICON_OK') || define('ICON_OK', 'ok.gif');
defined('ICON_CANCEL') || define('ICON_CANCEL', 'cancel.png');
defined('ICON_GL') || define('ICON_GL', 'gl.png');
defined('ICON_PRINT') || define('ICON_PRINT', 'print.png');
defined('ICON_PDF') || define('ICON_PDF', 'pdf.gif');
defined('ICON_DOC') || define('ICON_DOC', 'invoice.gif');
defined('ICON_CREDIT') || define('ICON_CREDIT', 'credit.gif');
defined('ICON_RECEIVE') || define('ICON_RECEIVE', 'receive.gif');
defined('ICON_DOWN') || define('ICON_DOWN', 'download.gif');
defined('ICON_MONEY') || define('ICON_MONEY', 'money.png');
defined('ICON_REMOVE') || define('ICON_REMOVE', 'remove.png');
defined('ICON_REPORT') || define('ICON_REPORT', 'report.png');
defined('ICON_VIEW') || define('ICON_VIEW', 'view.gif');
defined('ICON_SUBMIT') || define('ICON_SUBMIT', 'ok.gif');
defined('ICON_ESCAPE') || define('ICON_ESCAPE', 'escape.png');
defined('ICON_ALLOC') || define('ICON_ALLOC', 'alloc.png');
